MyGUI::IDataStream Class Referenceabstract

`#include <MyGUI_IDataStream.h>`

Inheritance diagram for MyGUI::IDataStream:
[legend]

## Public Member Functions

virtual | ~IDataStream ()=default
virtual bool | eof ()=0
virtual size_t | size ()=0
virtual void | readline (std::string &_source, Char _delim='\n')=0
virtual size_t | read (void *_buf, size_t _count)=0

## Detailed Description

Definition at line 16 of file MyGUI_IDataStream.h.

## Constructor & Destructor Documentation

## ~IDataStream()

virtual MyGUI::IDataStream::~IDataStream | ( |  | ) |

virtual default

## Member Function Documentation

## eof()

virtual bool MyGUI::IDataStream::eof | ( |  | ) |

pure virtual

Implemented in MyGUI::DataMemoryStream, and MyGUI::DataStream.

## read()

virtual size_t MyGUI::IDataStream::read | ( | void * | _buf,
|  | size_t | _count )

pure virtual

Implemented in MyGUI::DataMemoryStream, and MyGUI::DataStream.

## readline()

virtual void MyGUI::IDataStream::readline | ( | std::string & | _source,
|  | Char | _delim = '\n' )

pure virtual

Implemented in MyGUI::DataMemoryStream, and MyGUI::DataStream.

## size()

virtual size_t MyGUI::IDataStream::size | ( |  | ) |

pure virtual

Implemented in MyGUI::DataMemoryStream, and MyGUI::DataStream.

The documentation for this class was generated from the following file:

- MyGUI_IDataStream.h